OVERLAY_MOVE_OBJECT(3)

FUNCTION
overlay_move_object - Move a object in an overlay object list.

SYNOPSIS
#include <karma_overlay.h>

flag overlay_move_object

(KOverlayList olist, unsigned int id_in_list, unsigned int list_id, double dx, double dy)

DESCRIPTION
Move a object in an overlay object list.

olist
    The overlay list object.

id_in_list
    The object ID. This ID refers to an object created by a particular list master or slave.

list_id
    The ID of the list which created the object. If this is 0, the list given by <<olist>> is assumed.

dx  The horizontal distance to move. This is of the same co-ordinate type as the original co-ordinates.

dy  The vertical distance to move. This is of the same co-ordinate type as the original co-ordinates.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/